

@import url('https://fonts.googleapis.com/css2?family=DM+Sans:opsz,wght@9..40,400;9..40,600&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* @font-face {
  font-family: myFirstFont;
  src: url("./web-fonts/GeneralSans-Regular.otf");
} */



body,
html {
  height: 100%;
  width: 100%;
}
body {
  background-color: #111111;
  overflow-x: hidden;
  color: #fff;
  font-family: 'DM Sans', sans-serif;
}
a {
  text-decoration: none;
  color: #fff;
}

/* #main{
  height: 100vh;
  width: 100%;
} */

.bounding {
  width: fit-content;
}

.bounding::-webkit-scrollbar {
  display: none;
}

.bounding-elem {
  opacity: 0;
  width: fit-content;
  transform: translate(12%, 110%);
  overflow: visible;
}

#hero {
  height: 100vh;
  width: 100%;
  position: relative;
  padding-inline: 12px;
  margin-bottom: 100px;
  padding-top: 120px;
}

#cursor_color {
  position: fixed;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  background: #fff;
  opacity: 1;
  mix-blend-mode: difference;
  z-index: 10;
  pointer-events: none;
  transform: translate(-50%, -50%);
  transition: all 1s cubic-bezier(0.19, 1, 0.22, 1);
}
#cursor_blur {
  position: fixed;
  height: 300px;
  width: 300px;
  filter: blur(127px);
  border-radius: 50%;
  background: linear-gradient(90deg, #d32749 0%, #3f5efb 100%);
  opacity: 0.8;
  z-index: 10;
  pointer-events: none;
  transform: translate(-50%, -50%);
  transition: all 1.5s cubic-bezier(0.19, 1, 0.22, 1);
}

#scroller {
  display: inline-block;
  white-space: nowrap;
  overflow-x: hidden;
  overflow-y: hidden;
  position: relative;
  z-index: 101;
  cursor: default;
  margin-bottom: 80px;
  width: 100%;
}

#scroller-1 {
  display: inline-block;
  white-space: nowrap;
  letter-spacing: 20px;
  animation-name: scroll;
  animation-duration: 52s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  z-index: 100;
}

#scroller-2 {
  display: inline-block;
  white-space: nowrap;
  letter-spacing: 20px;
  animation-name: scroll;
  animation-duration: 52s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  z-index: 100;
}

#scroller h4 {
  display: inline-block;
  font-size: 10vw;
  font-weight: bolder;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  color: transparent;
  -webkit-text-stroke: 1px #ffffffc2;
  color: black;
  transition: color 0.5s ease;
}

#scroller h4:hover {
  color: #ffffffe7;
}

#scroller::-webkit-scrollbar {
  display: none;
}

#scroller-1 h4 span {
  color: #fff;
  animation-name: rotate;
  animation-duration: 10s;
  animation-delay: 1;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}

.bg {
  position: fixed;
  top: -50%;
  left: -50%;
  right: -50%;
  bottom: -50%;
  width: 200%;
  height: 200vh;
  background: transparent
    url("http://assets.iceable.com/img/noise-transparent.png") repeat 0 0;
  background-repeat: repeat;
  animation: bg-animation 0.2s infinite;
  opacity: 0.9;
  visibility: visible;
  z-index: -1;
}

@keyframes bg-animation {
  0% {
    transform: translate(0, 0);
  }
  10% {
    transform: translate(-5%, -5%);
  }
  20% {
    transform: translate(-10%, 5%);
  }
  30% {
    transform: translate(5%, -10%);
  }
  40% {
    transform: translate(-5%, 15%);
  }
  50% {
    transform: translate(-10%, 5%);
  }
  60% {
    transform: translate(15%, 0);
  }
  70% {
    transform: translate(0, 10%);
  }
  80% {
    transform: translate(-15%, 0);
  }
  90% {
    transform: translate(10%, 5%);
  }
  100% {
    transform: translate(5%, 0);
  }
}

#nav {
  height: 80px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 24px 32px;
  font-size: 15px;
  color: #fff;
  background-color: #000000c2;
  z-index: 999;
  margin-bottom: 40px;
  border-bottom: 1px solid rgb(233, 228, 228, 0.5);
  font-family: 'DM Sans', sans-serif;
  position: fixed;
}

.contact-btn {
  position: relative;
  width: fit-content;
  outline: 1px solid #fff;
  padding: 8px 16px;
  border-radius: 25px;
  font-weight: 900;
  cursor: pointer;
  overflow: hidden;
}

/* .contact-btn:before{
   content: "";
   position: absolute;
   border-radius: 25px;
   z-index: -1;
   bottom:100%;
   left:0; 
   right:0;
   width:100%;
   height:100%;
   background: black;
   transition: 0.500s ease-out;
}


.contact-btn:hover::before{
   bottom: 0;
} */

.bold-text {
  padding: 0 2vw;
}

.bold-text-1 {
  display: flex;
  align-items: center;
  opacity: 0.7;
  transition: all 1s ease;
}

.bold-text-1:hover {
  opacity: 1;
}

.bold-text-1 h1 {
  font-size: 15vw;
  text-transform: uppercase;
  letter-spacing: 5;
  font-family: 'DM Sans', sans-serif;
}

.bold {
  line-height: 15vw;
}

.bold-text-2 {
  display: flex;
  opacity: 0.7;
  transition: all 1s ease;
}

.arrow {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 32px;
}

.arrow i {
  font-size: 100px;
  position: absolute;
  top: 30px;
  padding: 12px;
  transition: all 1s ease;
}

.arrow:hover i {
  transform: translateY(50%);
}

.bold-text-2:hover {
  opacity: 1;
}

.bold-text-2 h1 {
  font-size: 15vw;
  text-transform: uppercase;
  letter-spacing: 5;
  font-family: 'DM Sans', sans-serif;
}

.bold-line {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.bold-line h1 {
  animation-name: rotate;
  animation-duration: 10s;
  animation-delay: 1;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }

  25% {
    transform: rotate(90deg);
  }

  50% {
    transform: rotate(180deg);
  }
  75% {
    transform: rotate(270deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

#about {
  position: relative;
  margin-bottom: 250px;
  padding-top: 30px;
  height: 100vh;
  width: 100%;
}

#about-desc {
  width: 100%;
  padding: 32px 64px;
  opacity: 0;
}

#about-desc h4 {
  font-size: 4vw;
  text-align: justify;
}

*::selection {
  background-color: #eb5939;
  color: black;
}

.strong {
  color: #eb5939;
}

#projects {
  width: 100%;
  height: fit-content;
  position: relative;
}

#projects #scroller-1 {
  margin-bottom: 75px;
  opacity: 0;
}

.element {
  position: relative;
  margin-left: 1vw;
  width: 90%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 4vw 2vw;
  border-top: 1px solid #ffffffe7;
  opacity: 0;
}

.element h1 {
  font-size: 3vw;
}

.element img {
  position: absolute;
  height: 130%;
  /* width: 300px; */
  opacity: 0;
  top: 0;
  left: 0;
  transform: translate(-50%);
  z-index: 10;
}

.last-pro {
  border-bottom: 1px solid #ffffffe7;
}

#contact {
  position: relative;
  background-color: rgba(0, 0, 0, 0.342);
  display: flex;
  align-items: center;
  row-gap: 20px;
  flex-direction: column;
  justify-content: center;
  position: relative;
  margin-top: 80px;
  border-radius: 25px;
  width: 100%;
  height: 100vh;
  text-transform: uppercase;
}

#contact h2,
#contact h4,
.linkedlink {
  opacity: 0.7;
  font-size: 4vw;
  text-align: center;
  transition: all 0.5s ease-out;
}

#contact h1 {
  opacity: 0.7;
  font-size: 8vw;
  text-align: center;
  transition: all 0.5s ease-out;
}

#contact h4 {
  border: 1px solid #ffffffe7;
  padding: 12px 24px;
  border-radius: 50px;
}

#contact h2:hover,
#contact h1:hover,
#contact a:hover,
.linkedlink {
  opacity: 1;
}

#contact::before {
  content: " ";
  display: block;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 1;
  background-color: transparent;
  background-image: url("contact-bg.jpg");
  background-repeat: no-repeat;
  background-position: 50% 0;
  background-size: cover;
  filter: brightness(0.7);
  z-index: -1;
}





@media screen and (min-width: 425px) and (max-width: 768px) {
  .bold-text {
    display: flex;
    flex-direction: column;
    row-gap: 25px;
  }

  .bold {
    font-size: vw;
  }
  #hero {
    padding: 0;
    height: fit-content;
    padding-top: 100px;
  }

  .bold-text-1,
  .bold-text-2 {
    opacity: 1;
  }

  #nav {
    font-size: 2vw;
  background-color: #000;
    z-index: 999;
  }

  #scroller {
    width: 100vw;
  }

  #scroller h4 {
    color: #494646;
    -webkit-text-stroke: transparent;
  }

  #cursor,
  #cursor_blur {
    display: none;
  }

  #hero {
    height: 75vh;
    margin-bottom: 100px;
  }

  .arrow i {
    font-size: 25px;
    position: absolute;
    top: 20px;
    padding: 12px;
    transition: all 1s ease;
  }

  .arrow:hover i {
    transform: translateY(30%);
  }

  #about-desc h4 {
    font-size: 5vw;
    text-align: justify;
  }

  #about {
    height: fit-content;
    margin-bottom: 80px;
  }

 

  .element {
    width: 100%;
    pointer-events: none;
  }

  .element h1 {
    font-size: 3.5vw;
  }

  #projects {
    height: fit-content;
  }
}

@media screen and (min-width: 374px) and (max-width: 424px) {
  #nav {
    font-size: 10px;
    background-color: #000;
    z-index: 999;
  }

  #scroller {
    width: 100vw;
  }

  #scroller h4 {
    -webkit-text-stroke: transparent;
    color: #494646;
  }

  #cursor,
  #cursor_blur {
    display: none;
  }

  .bold-text {
    display: flex;
    flex-direction: column;
    row-gap: 30px;
  }

  .arrow {
    visibility: hidden;
  }

  .bold-text-1,
  .bold-text-2 {
    display: flex;
    opacity: 1;
  }

  .bold-text-1 h1,
  .bold-text-2 h1 {
    font-size: 14.8vw;
    line-height: 80px;
  }

  #hero {
    height: fit-content;
    margin-bottom: 100px;
  }

  .arrow i {
    font-size: 25px;
    position: absolute;
    top: 5px;
    padding: 12px;
    transition: all 1s ease;
  }

  .arrow:hover i {
    transform: translateY(20%);
  }

  #about-desc h4 {
    font-size: 5vw;
    text-align: justify;
  }

  #about {
    margin-bottom: 80px;
    height: fit-content;
  }

  .element {
    height: fit-content;
    width: 100%;
    pointer-events: none;
  }

  .element h1 {
    font-size: 20px;
  }

  #contact {
    height: 50vh;
  }
}

@media screen and (min-width: 320px) and (max-width: 374px) {
  #nav {
    font-size: 8px;
    background-color: #000;
    z-index: 999;
  }
  #scroller h4 {
    -webkit-text-stroke: transparent;
    color: #494646;
  }

  .arrow {
    display: absolute;
    visibility: hidden;
  }

  #scroller {
    width: 100vw;
  }

  #cursor,
  #cursor_blur {
    display: none;
  }

  #hero {
    height: fit-content;
    margin-bottom: 100px;
  }

  .bold-text-1,
  .bold-text-2 {
    opacity: 1;
  }

  .arrow i {
    font-size: 20px;
    position: absolute;
    top: 2px;
    padding: 12px;
    transition: all 1s ease;
  }

  .arrow:hover i {
    transform: translateY(20%);
  }

  #about-desc h4 {
    font-size: 20px;
    letter-spacing: 0;
    white-space: normal;
    text-align: center;
  }

  #about {
    margin-bottom: 80px;
    height: fit-content;
  }

  .element {
    width: 100%;
    pointer-events: none;
  }

  .element h1 {
    font-size: 15px;
  }

  #projects {
    height: fit-content;
  }

  #contact{
    height: 55vh;
  }
}

@media screen and (max-width: 320px) {
  #nav {
    font-size: 6px;
    gap: 30px;
    justify-content: space-between;
    text-align: justify;
    background-color: #000;
    z-index: 999;
  }

  .arrow {
    display: absolute;
    visibility: hidden;
  }

  #scroller {
    width: 90vw;
  }

  #scroller h4 {
    -webkit-text-stroke: transparent;
    color: #494646;
  }

  #hero {
    height: fit-content;
    margin-bottom: 100px;
  }

  .bold-text-1,
  .bold-text-2 {
    opacity: 1;
  }

  #cursor,
  #cursor_blur {
    display: none;
  }

  .bold-text-1 h1,
  .bold-text-2 h1 {
    font-size: 15vw;
  }

  .contact-btn {
    text-align: center;
    padding: 6px;
    width: 25vw;
  }

  .arrow i {
    font-size: 20px;
    position: absolute;
    top: 2px;
    padding: 12px;
    transition: all 1s ease;
  }

  .arrow:hover i {
    transform: translateY(20%);
  }

  #about-desc h4 {
    font-size: 14.5px;
    text-align: center;
  }

  #about {
    height: fit-content;
    margin-bottom: 80px;
  }

  .element {
    width: 100%;
    pointer-events: none;
  }

  .element h1 {
    font-size: 12px;
  }

  #projects {
    height: fit fit-content;
  }

  #contact{
    height: 50vh;
  }
}
